Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## name.milesparker.epi.contact
Class EpidemicGraphicsAdapter

    java.lang.Object
      org.eclipse.amp.agf.GraphicsAdapter
          name.milesparker.epi.contact.EpidemicGraphicsAdapter

All Implemented Interfaces:
  IGraphicsAdapter, org.eclipse.core.runtime.IAdapterFactory

Direct Known Subclasses:
  EpidemicTilesAdapter

    public class EpidemicGraphicsAdapter

extends GraphicsAdapter

Epidemic Java Implementation. A simple model of epidemic dynamics. We define individual agents with different disease states. The progression of disease moves from succeptible to exposed to infectious (either symptomatic or asymptomatic) to some outcome state. Agents can transmit infection to their immediate neighbors. For some background on the general approach, see Joshua M. Epstein. "Generative Social Science". 2006. Princeton. Copyright 2009, Miles Parker. Released under Eclipse Public License. All uses should be attributed. Generated by AMF for model: EpidemicContact.metaabm in project: org.eclipse.amp.amf.examples.escape

Field Summary

Fields inherited from class org.eclipse.amp.agf.GraphicsAdapter
`DEFAULT_COLOR_PROVIDERS, DEFAULT_LABEL_PROVIDERS, EMPTY_FIGURE_PROVIDERS, GRAPHICS_ADAPTERS`

Constructor Summary
`EpidemicGraphicsAdapter()`

Method Summary
`org.eclipse.jface.viewers.IColorProvider[]` | `getColorsForClass(java.lang.Class type)`
`static IGraphicsAdapter` | `getDefault()`
`IFigureProvider[]` | `getFiguresForClass(java.lang.Class type)`
`org.eclipse.jface.viewers.ILabelProvider[]` | `getLabelsForClass(java.lang.Class type)`

Methods inherited from class org.eclipse.amp.agf.GraphicsAdapter
`getAdapter, getAdapterList, getColors, getFigures, getLabels`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EpidemicGraphicsAdapter

    public EpidemicGraphicsAdapter()

Method Detail

### getColorsForClass

    public org.eclipse.jface.viewers.IColorProvider[] getColorsForClass(java.lang.Class type)

  Specified by:
    `getColorsForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getColorsForClass` in class `GraphicsAdapter`
  Parameters:
    `type` -
  Returns:
  See Also:
    ``

### getFiguresForClass

    public IFigureProvider[] getFiguresForClass(java.lang.Class type)

  Specified by:
    `getFiguresForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getFiguresForClass` in class `GraphicsAdapter`
  Parameters:
    `type` -
  Returns:
  See Also:
    ``

### getLabelsForClass

    public org.eclipse.jface.viewers.ILabelProvider[] getLabelsForClass(java.lang.Class type)

  Specified by:
    `getLabelsForClass` in interface `IGraphicsAdapter`
  Overrides:
    `getLabelsForClass` in class `GraphicsAdapter`
  Parameters:
    `type` -
  Returns:
  See Also:
    ``

### getDefault

    public static IGraphicsAdapter getDefault()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD